MailcrateDocs
Suppression

Suppress an address

POST
/public/suppression

Requires the suppression:write scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Request Body

application/json
  1. body
email*string
Formatemail
note?string
Lengthlength <= 500

Response Body

application/json
  1. response
id*string
email*string
reason*string
Value in"complaint""hard-bounce""import""manual""soft-bounce""unsubscribe"
source*string
Value in"dashboard""import""journey""public-api""ses"
sourceDeliveryId*string|null
note*string|null
createdByUserId*string|null
created*string
Formatdate-time
newlySuppressed*boolean
Example Request
curl -X POST 'https://api.mailcrate.io/public/suppression' \  -H 'Authorization: Api-Key <api_key>' \  -H 'Content-Type: application/json' \  -d '{  "email": "user@example.com"}'
Example Response
{  "id": "string",  "email": "string",  "reason": "complaint",  "source": "dashboard",  "sourceDeliveryId": "string",  "note": "string",  "createdByUserId": "string",  "created": "2019-08-24T14:15:22Z",  "newlySuppressed": true}